Bug 425894 - Change name of Outline Selection tool to Freehand Selection tool
Summary: Change name of Outline Selection tool to Freehand Selection tool
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Tools/Selection (show other bugs)
Version: git master (please specify the git hash!)
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Dmitry Kazakov
URL:
Keywords: release_blocker
Depends on:
Blocks:
 
Reported: 2020-08-28 10:51 UTC by Raghavendra kamath
Modified: 2020-12-01 10:46 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Raghavendra kamath 2020-08-28 10:51:56 UTC
SUMMARY
While translating I noticed that our outline selection tool is actually more akin to Freehand selection tool. I never gave much attention to naming of the tool but When translating I found it odd. 

On IRC deevad told me that earlier there used to be a similar selection tool with freehand drawing ability. Now it is moved in painting selection masks. So I think naming this tool will not be conflicting. 

Renaming also makes it consistent to what people would expect when coming from other art program and also consistent to what the tool actually does.
Comment 1 Dmitry Kazakov 2020-11-30 07:45:38 UTC
Adding release blocker tag to not forget about that
Comment 2 Dmitry Kazakov 2020-12-01 10:15:57 UTC
Git commit 8ced57020545e52e2732705baece59b4df3bc585 by Dmitry Kazakov.
Committed on 01/12/2020 at 10:15.
Pushed by dkazakov into branch 'krita/4.3'.

Rename Outline Selection Tool into Freehand Selection Tool

We used to have freehand selection tool, which was gone after
we allowed normal painting on selection masks using overlay.

M  +3    -3    plugins/tools/selectiontools/KisToolSelectOutline.action
M  +2    -2    plugins/tools/selectiontools/kis_tool_select_outline.cc
M  +1    -1    plugins/tools/selectiontools/kis_tool_select_outline.h

https://invent.kde.org/graphics/krita/commit/8ced57020545e52e2732705baece59b4df3bc585
Comment 3 Dmitry Kazakov 2020-12-01 10:36:23 UTC
Git commit 7bfcbd6e3e4463e0c3b8aabcfd41b08c968d188b by Dmitry Kazakov.
Committed on 01/12/2020 at 10:36.
Pushed by dkazakov into branch 'master'.

Rename Outline Selection Tool into Freehand Selection Tool

We used to have freehand selection tool, which was gone after
we allowed normal painting on selection masks using overlay.

M  +3    -3    plugins/tools/selectiontools/KisToolSelectOutline.action
M  +2    -2    plugins/tools/selectiontools/kis_tool_select_outline.cc
M  +1    -1    plugins/tools/selectiontools/kis_tool_select_outline.h

https://invent.kde.org/graphics/krita/commit/7bfcbd6e3e4463e0c3b8aabcfd41b08c968d188b
Comment 4 Dmitry Kazakov 2020-12-01 10:46:58 UTC
Git commit a20d5181a11a92d871a58441f1b82c8ac5fce134 by Dmitry Kazakov.
Committed on 01/12/2020 at 10:37.
Pushed by dkazakov into branch 'krita/4.4.2'.

Rename Outline Selection Tool into Freehand Selection Tool

We used to have freehand selection tool, which was gone after
we allowed normal painting on selection masks using overlay.

M  +3    -3    plugins/tools/selectiontools/KisToolSelectOutline.action
M  +2    -2    plugins/tools/selectiontools/kis_tool_select_outline.cc
M  +1    -1    plugins/tools/selectiontools/kis_tool_select_outline.h

https://invent.kde.org/graphics/krita/commit/a20d5181a11a92d871a58441f1b82c8ac5fce134